
server.modules = (
#       "mod_fastcgi",
#       "mod_setenv",
#       "mod_wstunnel",
	"mod_redirect",
        "mod_proxy",
        "mod_openssl"
)

server.document-root        = "/var/www/html"
server.upload-dirs          = ( "/var/cache/lighttpd/uploads" )
server.errorlog             = "/var/log/lighttpd/error.log"
server.pid-file             = "/var/run/lighttpd.pid"
server.username             = "www-data"
server.groupname            = "www-data"
server.port                 = 8080
server.bind                 = "127.0.0.1"
server.max-read-idle        = 99999999 

$SERVER["socket"] == ":443" {
  ssl.engine = "enable"
  ssl.pemfile = "/etc/lighttpd/certs/lighttpd.pem"
  ssl.ca-file = "/etc/lighttpd/certs/bogenCA.pem"
}
$HTTP["url"] =~ "^/display/?" {
} else $HTTP["url"] =~ "^/services/firmware.php" {
} else {
  $HTTP["scheme"] == "http" {
    $HTTP["host"] =~ ".*" {
        url.redirect = (".*" => "https://%0$0")
    }
  }
}
$HTTP["url"] =~ "^/ws" {
    proxy.server = ( "" => ( ( "host" => "127.0.0.1", "port" => "9000" ) ) )
    proxy.header = ( "upgrade" => "enable")
}

index-file.names            = ( "index.php", "index.html", "index.lighttpd.html" )
url.access-deny             = ( "~", ".inc" )
static-file.exclude-extensions = ( ".php", ".pl", ".fcgi" )

compress.cache-dir          = "/var/cache/lighttpd/compress/"
compress.filetype           = ( "application/javascript", "text/css", "text/html", "text/plain" )

# default listening port for IPv6 falls back to the IPv4 port
include_shell "/usr/share/lighttpd/use-ipv6.pl " + server.port
include_shell "/usr/share/lighttpd/create-mime.assign.pl"
include_shell "/usr/share/lighttpd/include-conf-enabled.pl"
